Page MenuHomePhabricator

Installer selection of available disks is too restrictive
Closed, ResolvedPublic

Description

Right now the installer only suggests disks that match the [hsv]d.* expression. This prevents users from installing VyOS on other drive types, such as nvme and mmc.

We should decide how to extend the regex.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
dmbaturin created this task.Nov 5 2018, 2:17 AM

Would something like this be suitable? I've tried searching for a canonical source of device naming conventions for Linux. I'm not sure that we'll have a single clean way to identify this in regex.

c[0-9]d[0-9]$|[hsv]d[a-z]$|nvme[0-9]n[0-9]$|mmcblk[0-9]$
kroy added a subscriber: kroy.Nov 5 2018, 10:11 PM

In T955 I changed this code to lsblk -dn -o name -I8 instead of the monstrosity it is now. I've been using that forever to detect disk in install and bootstrap scripts for Debian, and haven't ran into any problems yet. Though there might be someone out there that has more experience with it than me.

I've opened a pull request to address this ticket in https://github.com/vyos/vyatta-cfg-system/pull/82.

I believe this can now be marked as resolved.

syncer triaged this task as Normal priority.Nov 7 2018, 8:14 AM
syncer added a project: VyOS-1.2.0-LTS.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2.x (VyOS 1.2.0-rc7) board.
syncer closed this task as Resolved.Nov 9 2018, 12:04 AM
syncer claimed this task.